## ZpjError ZpjError — Error codes. |

## Functions

GQuark | zpj_error_quark ()

## Types and Values

#define | ZPJ_ERROR
enum | ZpjError

## Includes

    #include <zpj/zpj.h>

## Description

Error codes used to represent errors thrown by the SkyDrive and Hotmail REST APIs.

## Functions

### zpj_error_quark ()

    GQuark
    zpj_error_quark (void);

## Types and Values

### ZPJ_ERROR

    #define ZPJ_ERROR (zpj_error_quark ())

Error domain for libzapojit. Errors in this domain will be from the ZpjError enumeration. See GError for more information on error domains.

### enum ZpjError

This enumeration can be expanded at a later date.

#### Members

ZPJ_ERROR_REQUEST_URL_INVALID | The server received an invalid URL, possibly because of an invalid `file_id` . |
ZPJ_ERROR_UNKNOWN | An unknown error occurred. |